//
//  DDProgressHUD.swift
//  DDProgressHUDKit_Private
//
//  Created by 中道 on 2023/8/7.
//

import Foundation

extension UIView {
    public func dd_showHUD() {
        let hud = MBProgressHUD.showAdded(to: self, animated: true)
        hud.bezelView.color = UIColor.black
        hud.bezelView.style = .solidColor
        hud.contentColor = UIColor.white
        hud.show(animated: true)
    }
    
    public func dd_hideHUD() {
        let hud = MBProgressHUD.forView(self)
        hud?.hide(animated: true)
    }
}
